Mail archive
alpine-aports

[alpine-aports] [PATCH] main/gettext: libintl_*printf fix in headers

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Sun, 7 Feb 2016 16:13:54 +0200

---
 main/gettext/APKBUILD                   | 26 ++++++++++++++++++++------
 main/gettext/dont-override-gnulib.patch | 12 ++++++++++++
 2 files changed, 32 insertions(+), 6 deletions(-)
 create mode 100644 main/gettext/dont-override-gnulib.patch
diff --git a/main/gettext/APKBUILD b/main/gettext/APKBUILD
index 603cd19..d4554f9 100644
--- a/main/gettext/APKBUILD
+++ b/main/gettext/APKBUILD
_at_@ -2,17 +2,29 @@
 # Maintainer: Carlo Landmeter <clandmeter_at_gmail.com>
 pkgname=gettext
 pkgver=0.19.7
-pkgrel=0
+pkgrel=1
 pkgdesc="GNU locale utilities"
 url="http://www.gnu.org/software/gettext/gettext.html"
 arch="all"
 license="GPL"
 depends=
 makedepends="perl ncurses-dev libxml2-dev glib-dev libcroco-dev libunistring-dev"
-source="ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"
+source="ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz
+	dont-override-gnulib.patch
+	"
 subpackages="$pkgname-doc $pkgname-dev $pkgname-lang libintl $pkgname-asprintf $pkgname-libs"
 
 _builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
 build() {
 	cd "$_builddir"
 	./configure \
_at_@ -20,7 +32,6 @@ build() {
 		--host=$CHOST \
 		--prefix=/usr \
 		--enable-threads=posix \
-		--with-pic \
 		--disable-java \
 		--disable-static \
 		|| return 1
_at_@ -46,6 +57,9 @@ asprintf() {
 	mv "$pkgdir"/usr/lib/libasprintf.so.* "$subpkgdir"/usr/lib
 }
 
-md5sums="f81e50556da41b44c1d59ac93474dca5  gettext-0.19.7.tar.xz"
-sha256sums="378fa86a091cec3acdece3c961bb8d8c0689906287809a8daa79dc0c6398d934  gettext-0.19.7.tar.xz"
-sha512sums="a8ed47fc38d8730ccd46bfa6620c0b42efcfcbfa39fa94ddecb2fa3b62b377827f29e702dc327fbc682b98534e1f54783d21a3bb5ba629f6358be00bfb4da009  gettext-0.19.7.tar.xz"
+md5sums="f81e50556da41b44c1d59ac93474dca5  gettext-0.19.7.tar.xz
+f8af0b8a26dae0f054200adfef1f146a  dont-override-gnulib.patch"
+sha256sums="378fa86a091cec3acdece3c961bb8d8c0689906287809a8daa79dc0c6398d934  gettext-0.19.7.tar.xz
+17e5edb5128609476b1102a1ef2a9a6445d89c3f475d02ea23949f065bc0fb50  dont-override-gnulib.patch"
+sha512sums="a8ed47fc38d8730ccd46bfa6620c0b42efcfcbfa39fa94ddecb2fa3b62b377827f29e702dc327fbc682b98534e1f54783d21a3bb5ba629f6358be00bfb4da009  gettext-0.19.7.tar.xz
+9e15b4d0ec0f39031072d8c06a20922c3c02845dbccb3455fba59f9423d970ea19baabb36d21823048a08249f148aa1e5c5e038001bffb8aa2a40051f2138f1e  dont-override-gnulib.patch"
diff --git a/main/gettext/dont-override-gnulib.patch b/main/gettext/dont-override-gnulib.patch
new file mode 100644
index 0000000..6f4c4a5
--- /dev/null
+++ b/main/gettext/dont-override-gnulib.patch
_at_@ -0,0 +1,12 @@
+--- a/gettext-runtime/intl/libgnuintl.in.h
++++ b/gettext-runtime/intl/libgnuintl.in.h
+_at_@ -317,6 +317,9 @@
+ #include <stdio.h>
+ #include <stddef.h>
+ 
++#ifndef _GL_STDIO_H
++#define _GL_STDIO_H
++#endif
+ /* Get va_list.  */
+ #if (defined __STDC__ && __STDC__) || defined __cplusplus || defined _MSC_VER
+ # include <stdarg.h>
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Feb 07 2016 - 16:13:54 GMT